HTTPD(8)

 *

NAME
httpd - HTTP server process

SYNOPSIS
httpd [ -C config-file ] [ -U uses ] [ -T timeout ] [ -D ]
      [ -s ] [ -p ssf ]

DESCRIPTION
Httpd is a HTTP server. It accepts commands on its standard input and responds on its standard output. It MUST invoked by master(8) with those descriptors attached to a remote client connection.

Httpd reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

If the directory log/user exists under the directory specified in the configdirectory configuration option, then httpd will create protocol telemetry logs for sessions authenticating as user. The telemetry logs will be stored in the log/user directory with a filename of the httpd process-id.

OPTIONS

-C config-file
    Read configuration options from config-file.

-U uses
    The maximum number of times that the process should be used for new connections before shutting down. The default is 250.

-T timeout
    The number of seconds that the process will wait for a new connection before shutting down. Note that a value of 0 (zero) will disable the timeout. The default is 60.

-D  Run external debugger specified in debug_command.

-s  Serve HTTP over SSL (https). All data to and from httpd is encrypted using the Secure Sockets Layer.

-p ssf
    Tell httpd that an external layer exists. An SSF (security strength factor) of 1 means an integrity protection layer exists. Any higher SSF implies some form of privacy protection.

FILES

/etc/imapd.conf

SEE ALSO

imapd.conf(5), master(8)